accessPackageAssignmentRequest: filterByCurrentUser
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
In Azure AD Entitlement Management, retrieve a list of accessPackageAssignmentRequest objects filtered on the signed-in user.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
HTTP request
GET /identityGovernance/entitlementManagement/accessPackageAssignmentRequests/filterByCurrentUser(on='parameterValue')
Function parameters
The following table shows the parameters that can be used with this function.
| Parameter | Type | Description |
|---|---|---|
| on | accessPackageAssignmentRequestFilterByCurrentUserOptions | The list of current user options that can be used to filter on the access package assignment requests list. The possible values are target, createdBy, approver. |
targetis used to get theaccessPackageAssignmentRequestobjects where the signed-in user is the target. The resulting list includes all the assignment requests, current and expired, that were requested by the caller or for the caller, across all catalogs and access packages.createdByis used to get theaccessPackageAssignmentRequestobjects created by the signed-in user. The resulting list includes all of the assignment requests that the caller has created for themselves or on behalf of others, such as in case of admin direct assignment, across all catalogs and access packages.approveris used to get theaccessPackageAssignmentRequestobjects where the signed-in user is an allowed approver in any containedaccessPackageAssignment/accessPackageAssignmentPolicy/requestApprovalSettings/approvalStages(primaryApproversorescalationApprovers). The resulting list includes the assignment requests in pending state, across all catalogs and access packages and that need a decision from the caller. The resulting list includes the assignment requests in apendingstate, across all catalogs and access packages and that need a decision from the caller.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and an accessPackageAssignmentRequest collection in the response body.
Examples
The following example gets the status of access package assignment requests targeted for the signed-in user.
Request
GET https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackageAssignmentRequests/filterByCurrentUser(on='target')
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.accessPackageAssignmentRequest",
"createdDateTime": "2021-01-19T20:02:23.907Z",
"completedDate": "2021-01-19T20:02:40.97Z",
"id": "46c1410d-ef96-44c5-ae9c-a577d014fe0e",
"requestType": "AdminAdd",
"requestState": "Delivered",
"requestStatus": "Fulfilled",
"isValidationOnly": false,
"expirationDateTime": null,
"justification": null,
"answers": [],
"schedule": {
"startDateTime": "2021-01-19T20:01:57.643Z",
"recurrence": null,
"expiration": {
"endDateTime": null,
"duration": null,
"type": "noExpiration"
}
}
}
]
}
Feedback
Submit and view feedback for